Boomi MFT - AFT Management API Reference (v1) - Organization
UpdatedDownload OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Retrieves a specific organization configuration by ID
Retrieves a specific organization configuration by ID
Authorizations:
path Parameters
| id required | integer <int32> The unique identifier of the organization |
Responses
Response Schema:
| id | integer <int32> |
| tenantId | integer <int32> |
| name | string or null |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| description | string or null |
| tags | string or null |
Response samples
- 200
- 401
- 403
- 404
- 500
{- "id": 0,
- "tenantId": 0,
- "name": "string",
- "organizationStatusId": 0,
- "publicCode": "string",
- "description": "string",
- "tags": "string"
}Deletes an organization configuration
Deletes an organization configuration
Authorizations:
path Parameters
| id required | integer <int32> The unique identifier of the organization to delete |
Responses
Response Schema:
object (thruStatus) | |
| data | any or null |
Response samples
- 200
- 401
- 403
- 500
{- "status": {
- "status": 0,
- "severity": 0,
- "module": "string",
- "method": "string",
- "message": "string"
}, - "data": null
}Retrieves a list of all organizations
Retrieves a list of all organizations
Authorizations:
query Parameters
| showDeleted | boolean Default: false Whether to include deleted organizations in the results (default: false) |
Responses
Response Schema:
| id | integer <int32> |
| tenantId | integer <int32> |
| name | string or null |
| organizationTypeId | integer <int32> |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| systemCode | string or null |
| description | string or null |
| secretKey | string or null |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Response samples
- 200
- 401
- 403
- 500
[- {
- "id": 0,
- "tenantId": 0,
- "name": "string",
- "organizationTypeId": 0,
- "organizationStatusId": 0,
- "publicCode": "string",
- "systemCode": "string",
- "description": "string",
- "secretKey": "string",
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z"
}
]Updates an existing organization configuration
Updates an existing organization configuration
Authorizations:
Request Body schema:
Organization view model with updated configuration settings
| id | integer <int32> |
| tenantId | integer <int32> |
| name | string or null |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| description | string or null |
| tags | string or null |
Responses
Response Schema:
| id | integer <int32> |
| tenantId | integer <int32> |
| name | string or null |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| description | string or null |
| tags | string or null |
Request samples
- Payload
{- "id": 0,
- "tenantId": 0,
- "name": "string",
- "organizationStatusId": 0,
- "publicCode": "string",
- "description": "string",
- "tags": "string"
}Response samples
- 200
- 400
- 401
- 403
- 500
{- "id": 0,
- "tenantId": 0,
- "name": "string",
- "organizationStatusId": 0,
- "publicCode": "string",
- "description": "string",
- "tags": "string"
}Creates a new organization configuration
Creates a new organization configuration
Authorizations:
Request Body schema:
Complete organization model with configuration settings for the new organization
| id | integer <int32> |
| tenantId | integer <int32> |
| name | string or null |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| description | string or null |
| tags | string or null |
Responses
Request samples
- Payload
{- "id": 0,
- "tenantId": 0,
- "name": "string",
- "organizationStatusId": 0,
- "publicCode": "string",
- "description": "string",
- "tags": "string"
}Response samples
- 201
- 400
- 401
- 403
- 500
{- "id": 0,
- "tenantId": 0,
- "name": "string",
- "organizationStatusId": 0,
- "publicCode": "string",
- "description": "string",
- "tags": "string"
}Retrieves recent activity for organizations
Retrieves recent activity for organizations
Authorizations:
query Parameters
| count required | integer <int32> Number of recent activity records to retrieve (required) |
Responses
Response Schema:
| id | integer <int32> Organization identifier |
| name | string or null Organization name |
| systemCode | string or null Organization system code |
| createdDate | string <date-time> Date when organization was created |
| updatedDate | string or null <date-time> Date when organization was last updated |
Response samples
- 200
- 401
- 403
- 500
[- {
- "id": 0,
- "name": "string",
- "systemCode": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z"
}
]